WordPress Terrorist

The FBI just issued a warning about unmaintained WordPress websites being attacked and defaced by ISIS sympathizers.  The focus is on older, unpatched versions of popular WordPress plugins such as RevSlider, GravityForms and others. This latest attack once again underscores the need to keep your website software updated and secured.

Need help keeping your WordPress secured and up to date? Perhaps we can help. Click here to learn about our WordPress maintenance service.